diff -uNr root.ORIG/configure root/configure
--- root.ORIG/configure	2016-04-05 17:24:40.000000000 +0900
+++ root/configure	2019-12-28 01:49:01.000000000 +0900
@@ -2696,7 +2696,7 @@
         ${finkdir:+$finkdir/lib} \
         /usr/lib /usr/X11R6/lib /usr/lib/X11 /usr/openwin/lib \
         /usr/local/lib /usr/local/lib/X11 /usr/local/X11R6/lib \
-        /usr/X11/lib /usr/lib/X11R5
+        /usr/X11/lib /usr/lib/X11R5 /opt/X11/lib
     x11libdir=$found_dir
 
     if test "x$found_lib" = "x" ; then
@@ -2709,7 +2709,7 @@
         ${finkdir:+$finkdir/include} \
         /usr/include /usr/X11R6/include /usr/include/X11 /usr/openwin/include \
         /usr/local/include /usr/local/include/X11 /usr/local/X11R6/include \
-        /usr/X11/include /usr/include/X11R5
+        /usr/X11/include /usr/include/X11R5 /opt/X11/include
     x11incdir=$found_dir
 
     if test "x$found_dir" = "x" ; then
@@ -2723,7 +2723,7 @@
         ${finkdir:+$finkdir/include} \
         /usr/include /usr/X11R6/include /usr/include/X11 /usr/openwin/include \
         /usr/local/include /usr/local/include/X11 /usr/local/X11R6/include \
-        /usr/X11/include /usr/include/X11R5
+        /usr/X11/include /usr/include/X11R5 /opt/X11/include
 
     if test "x$found_dir" = "x" ; then
         result "`basename $0`: xpm headers MUST be installed"
@@ -2735,7 +2735,7 @@
         ${finkdir:+$finkdir/include} \
         /usr/include /usr/X11R6/include /usr/include/X11 /usr/openwin/include \
         /usr/local/include /usr/local/include/X11 /usr/local/X11R6/include \
-        /usr/X11/include /usr/include/X11R5
+        /usr/X11/include /usr/include/X11R5 /opt/X11/include
 
     if test "x$found_dir" = "x" ; then
         result "`basename $0`: Xft headers MUST be installed"
@@ -2748,7 +2748,8 @@
             ${finkdir:+$finkdir/include} \
             /usr/include /usr/X11R6/include /usr/include/X11 \
             /usr/openwin/include /usr/local/include /usr/local/include/X11 \
-            /usr/local/X11R6/include /usr/X11/include /usr/include/X11R5
+            /usr/local/X11R6/include /usr/X11/include /usr/include/X11R5 \
+            /opt/X11/include
 
         if test "x$found_dir" = "x" ; then
             result "`basename $0`: X11/extensions/shape.h header MUST be installed"
@@ -2762,7 +2763,7 @@
         ${finkdir:+$finkdir/lib} \
         /usr/local/lib /usr/lib /usr/lib/X11 \
         /usr/local/lib/X11 /usr/X11R6/lib /usr/local/X11R6/lib \
-        /usr/X11/lib
+        /usr/X11/lib /opt/X11/lib
     xpmlib=$found_lib
     xpmlibdir=$found_dir
 
@@ -2776,7 +2777,7 @@
         ${finkdir:+$finkdir/lib} \
         /usr/local/lib /usr/lib /usr/lib/X11 \
         /usr/local/lib/X11 /usr/X11R6/lib /usr/local/X11R6/lib \
-        /usr/X11/lib
+        /usr/X11/lib /opt/X11/lib
 
     if test "x$found_lib" = "x" ; then
         result "`basename $0`: libXft MUST be installed"
@@ -2794,7 +2795,7 @@
         ${finkdir:+$finkdir/lib} \
         /usr/local/lib /usr/lib /usr/lib/X11 \
         /usr/local/lib/X11 /usr/X11R6/lib /usr/local/X11R6/lib \
-        /usr/X11/lib
+        /usr/X11/lib /opt/X11/lib
 
     if test "x$found_lib" = "x" ; then
         result "`basename $0`: libXext MUST be installed"
@@ -2900,7 +2901,7 @@
         $THREAD ${THREAD:+$THREAD/lib} \
         /usr/lib /usr/local/lib /usr/lib/X11 \
         /usr/local/lib/X11 /usr/X11R6/lib /usr/local/X11R6/lib \
-        /usr/X11/lib /usr/shlib
+        /usr/X11/lib /usr/shlib /opt/X11/lib
     threadlib=$found_lib
     threadlibdir=$found_dir
 
@@ -3082,7 +3083,7 @@
     # Check for OpenGL compatible include and library
     openglincdirs="$OPENGL ${OPENGL:+$OPENGL/include} \
         ${finkdir:+$finkdir/include} \
-        /usr/include /usr/include/X11 /usr/X11/include \
+        /usr/include /usr/include/X11 /usr/X11/include /opt/X11/include \
         /usr/X11R6/include /usr/local/include/X11 \
         /usr/local/X11R6/include /usr/local/include \
         /usr/include/Mesa /usr/local/include/Mesa /usr/Mesa/include \
@@ -3094,7 +3095,7 @@
 
     opengllibdirs="$OPENGL ${OPENGL:+$OPENGL/lib} \
         ${finkdir:+$finkdir/lib} \
-        /usr/lib /usr/local/lib /usr/lib/X11 \
+        /usr/lib /usr/local/lib /usr/lib/X11 /opt/X11/lib \
         /usr/X11R6/lib /usr/local/lib/X11 /usr/local/X11R6/lib \
         /usr/X11/lib /usr/lib/Mesa /usr/local/lib/Mesa /usr/Mesa/lib \
         /usr/local/Mesa/lib /usr/Mesa /usr/local/Mesa /opt/Mesa \
@@ -4596,7 +4597,7 @@
            check_library $k "$enable_shared" "" \
                $ASIMAGE ${ASIMAGE:+$ASIMAGE/lib} ${ASPNG:+$ASPNG/lib} \
                ${finkdir:+$finkdir/lib} \
-               /usr/local/lib /usr/X11/lib /usr/lib /opt/lib
+               /usr/local/lib /usr/X11/lib /usr/lib /opt/lib /opt/X11/lib
            if test "x$k" = "xlibz" ; then
                found_libz=$found_lib
                found_dirz=$found_dir
diff -uNr root.ORIG/graf2d/asimage/src/libAfterImage/configure root/graf2d/asimage/src/libAfterImage/configure
--- root.ORIG/graf2d/asimage/src/libAfterImage/configure	2016-04-05 17:24:40.000000000 +0900
+++ root/graf2d/asimage/src/libAfterImage/configure	2019-12-28 10:08:52.000000000 +0900
@@ -3619,6 +3619,7 @@
 # Standard set of common directories for X headers.
 # Check X11 before X11Rn because it is often a symlink to the current release.
 ac_x_header_dirs='
+/opt/X11/include
 /usr/X11/include
 /usr/X11R6/include
 /usr/X11R5/include
